Bug 190625 - Konqueror bookmark editor crash while copying/moving
Summary: Konqueror bookmark editor crash while copying/moving
Status: RESOLVED DUPLICATE of bug 160679
Alias: None
Product: keditbookmarks
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash with 40 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 191106 192016 194852 197829 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-04-25 15:42 UTC by Shrikant Odugoudar
Modified: 2009-08-02 22:07 UTC (History)
16 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shrikant Odugoudar 2009-04-25 15:42:34 UTC
Version:           4.2.2 (using KDE 4.2.2)
OS:                Linux
Installed from:    Fedora RPMs

Opening the bookmark editor (keditbookmarks) in Konqueror and copying/moving bookmarks results in random crashes. These are completely random occuring 98% of the time, and will mostly occur when doing immediate functions, and also operating with a long list, that is., say A to Z, if you copy/move Y all the way near C, it crashes with a signal 11 error.

BACKTRACE:
-----------
Application: Bookmark Editor (keditbookmarks), signal SIGSEGV
0x000000327e0a7f50 in __nanosleep_nocancel () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7ff3bbb1d810 (LWP 13308))]

Thread 1 (Thread 0x7ff3bbb1d810 (LWP 13308)):
[KCrash Handler]
#5  0x000000327e07aa7a in _int_malloc () from /lib64/libc.so.6
#6  0x000000327e07ca38 in malloc () from /lib64/libc.so.6
#7  0x0000003c9b94be3a in QMetaMethod::invoke () from /usr/lib64/libQtCore.so.4
#8  0x0000003c9b94c62f in QMetaObject::invokeMethod () from /usr/lib64/libQtCore.so.4
#9  0x0000003c9d69e564 in QAbstractItemView::updateGeometries () from /usr/lib64/libQtGui.so.4
#10 0x0000003c9d6df11e in QTreeView::updateGeometries () from /usr/lib64/libQtGui.so.4
#11 0x0000003c9d6e62aa in QTreeView::rowsInserted () from /usr/lib64/libQtGui.so.4
#12 0x0000003c9d6a744a in QAbstractItemView::qt_metacall () from /usr/lib64/libQtGui.so.4
#13 0x0000003c9d6ea655 in QTreeView::qt_metacall () from /usr/lib64/libQtGui.so.4
#14 0x0000003c9b9590a2 in QMetaObject::activate () from /usr/lib64/libQtCore.so.4
#15 0x0000003c9b98fab4 in QAbstractItemModel::rowsInserted () from /usr/lib64/libQtCore.so.4
#16 0x0000003c9b93e855 in QAbstractItemModel::endInsertRows () from /usr/lib64/libQtCore.so.4
#17 0x0000003ca18297c9 in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#18 0x0000003ca1828daa in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#19 0x0000003ca182467f in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#20 0x0000003ca182535d in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#21 0x0000003c9b9590a2 in QMetaObject::activate () from /usr/lib64/libQtCore.so.4
#22 0x0000003c9d188747 in QAction::triggered () from /usr/lib64/libQtGui.so.4
#23 0x0000003c9d189bc0 in QAction::activate () from /usr/lib64/libQtGui.so.4
#24 0x0000003c9d5b629c in ?? () from /usr/lib64/libQtGui.so.4
#25 0x0000003c9d5bc26e in ?? () from /usr/lib64/libQtGui.so.4
#26 0x0000003ca00d2221 in KMenu::mouseReleaseEvent () from /usr/lib64/libkdeui.so.5
#27 0x0000003c9d1df84f in QWidget::event () from /usr/lib64/libQtGui.so.4
#28 0x0000003c9d5bea2b in QMenu::event () from /usr/lib64/libQtGui.so.4
#29 0x0000003c9d18e73d in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#30 0x0000003c9d19708a in QApplication::notify () from /usr/lib64/libQtGui.so.4
#31 0x0000003ca0006c7b in KApplication::notify () from /usr/lib64/libkdeui.so.5
#32 0x0000003c9b94360c in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#33 0x0000003c9d1962d8 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/libQtGui.so.4
#34 0x0000003c9d1ffd44 in ?? () from /usr/lib64/libQtGui.so.4
#35 0x0000003c9d1fe7f8 in QApplication::x11ProcessEvent () from /usr/lib64/libQtGui.so.4
#36 0x0000003c9d225bb4 in ?? () from /usr/lib64/libQtGui.so.4
#37 0x0000003c988377bb in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#38 0x0000003c9883af8d in ?? () from /lib64/libglib-2.0.so.0
#39 0x0000003c9883b14b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#40 0x0000003c9b96cd1f in QEventDispatcherGlib::processEvents () from /usr/lib64/libQtCore.so.4
#41 0x0000003c9d22533f in ?? () from /usr/lib64/libQtGui.so.4
#42 0x0000003c9b941eb2 in QEventLoop::processEvents () from /usr/lib64/libQtCore.so.4
#43 0x0000003c9b94227d in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#44 0x0000003c9b944544 in QCoreApplication::exec () from /usr/lib64/libQtCore.so.4
#45 0x0000003ca181d920 in kdemain () from /usr/lib64/libkdeinit4_keditbookmarks.so
#46 0x000000327e01e576 in __libc_start_main () from /lib64/libc.so.6
#47 0x00000000004006f9 in _start ()
Comment 1 FiNeX 2009-04-25 16:15:08 UTC
I'm able to reproduce it on KDE 4.2.2 too but I cannot reproduce on current
trunk r958947.
Comment 2 Kevin Kofler 2009-04-25 16:54:36 UTC
A crash within malloc is usually indicative of some memory corruption. Try running "valgrind keditbookmarks" and saving the Valgrind output.

Also, please install at least qt-debuginfo, kdelibs-debuginfo and kdebase-debuginfo to provide more useful backtraces.
Comment 3 Ronny Standtke 2009-05-03 16:40:23 UTC
I just run into the same crash using Kubuntu-9.04 with KDE-4.2.2. Here is my (more detailled) backtrace:

Anwendung: Lesezeichen-Editor (keditbookmarks), Signal SIGSEGV

Thread 1 (Thread 0xb5a80920 (LWP 28006)):
[KCrash Handler]
#6  0xb7754450 in QDomElementPrivate::save (this=0x98ca7d8, s=@0xbffccf80, depth=5, indent=1) at dom/qdom.cpp:4603
#7  0xb7747892 in QDomNodePrivate::save (this=0x98c7ce8, s=@0xbffccf80, depth=5, indent=1) at dom/qdom.cpp:1916
#8  0xb7754077 in QDomElementPrivate::save (this=0x98c7ce8, s=@0xbffccf80, depth=4, indent=1) at dom/qdom.cpp:4640
#9  0xb7747892 in QDomNodePrivate::save (this=0x9881878, s=@0xbffccf80, depth=4, indent=1) at dom/qdom.cpp:1916
#10 0xb7754077 in QDomElementPrivate::save (this=0x9881878, s=@0xbffccf80, depth=3, indent=1) at dom/qdom.cpp:4640
#11 0xb7747892 in QDomNodePrivate::save (this=0x96477b8, s=@0xbffccf80, depth=3, indent=1) at dom/qdom.cpp:1916
#12 0xb7754077 in QDomElementPrivate::save (this=0x96477b8, s=@0xbffccf80, depth=2, indent=1) at dom/qdom.cpp:4640
#13 0xb7747892 in QDomNodePrivate::save (this=0x963f768, s=@0xbffccf80, depth=2, indent=1) at dom/qdom.cpp:1916
#14 0xb7754077 in QDomElementPrivate::save (this=0x963f768, s=@0xbffccf80, depth=1, indent=1) at dom/qdom.cpp:4640
#15 0xb7747892 in QDomNodePrivate::save (this=0x95fe490, s=@0xbffccf80, depth=1, indent=1) at dom/qdom.cpp:1916
#16 0xb7754077 in QDomElementPrivate::save (this=0x95fe490, s=@0xbffccf80, depth=0, indent=1) at dom/qdom.cpp:4640
#17 0xb7758ac6 in QDomDocumentPrivate::saveDocument (this=0x959de68, s=@0xbffccf80, indent=1, encUsed=QDomNode::EncodingFromDocument) at dom/qdom.cpp:6473
#18 0xb7759163 in QDomNode::save (this=0xbffcd040, str=@0xbffccf80, indent=1) at dom/qdom.cpp:2684
#19 0xb77591ce in QDomDocument::toString (this=0xbffcd040, indent=1) at dom/qdom.cpp:6845
#20 0xb7a3458c in KBookmarkManager::saveAs () from /usr/lib/libkio.so.5
#21 0xb7a34aaf in KBookmarkManager::save () from /usr/lib/libkio.so.5
#22 0xb7a34af0 in KBookmarkManager::emitChanged () from /usr/lib/libkio.so.5
#23 0xb7f6bfdb in CurrentMgr::notifyManagers (this=0x95e0fa0, grp=@0xbffcd120) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/toplevel.cpp:183
#24 0xb7f6f6a1 in CmdHistory::slotCommandExecuted (this=0x959e038, k=0x98c6f18) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/toplevel.cpp:82
#25 0xb7f8f0c0 in KBookmarkModel::dropMimeData (this=0x9601e80, data=0x94d9a68, action=Qt::CopyAction, row=-1, column=-1, parent=@0xbffcd254)
    at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/bookmarkmodel.cpp:306
#26 0xb6b614e1 in QAbstractItemView::dropEvent (this=0x95f8058, event=0xbffcda2c) at itemviews/qabstractitemview.cpp:1844
#27 0xb66417b1 in QWidget::event (this=0x95f8058, event=0xbffcda2c) at kernel/qwidget.cpp:7698
#28 0xb6a1bd83 in QFrame::event (this=0x95f8058, e=0xbffcda2c) at widgets/qframe.cpp:559
#29 0xb6abbd3f in QAbstractScrollArea::viewportEvent (this=0x95f8058, e=0xb70d8a48) at widgets/qabstractscrollarea.cpp:962
#30 0xb6b6da37 in QAbstractItemView::viewportEvent (this=0x95f8058, event=0xbffcda2c) at itemviews/qabstractitemview.cpp:1466
#31 0xb6ba84b4 in QTreeView::viewportEvent (this=0x95f8058, event=0xbffcda2c) at itemviews/qtreeview.cpp:1257
#32 0xb6abe345 in QAbstractScrollAreaFilter::eventFilter (this=0x96b1160, o=0x9610fb8, e=0xbffcda2c) at widgets/qabstractscrollarea_p.h:100
#33 0xb6fe2c5a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#34 0xb65eaf0a in QApplicationPrivate::notify_helper (this=0x94d9f38, receiver=0x9610fb8, e=0xbffcda2c) at kernel/qapplication.cpp:4080
#35 0xb65f3841 in QApplication::notify (this=0xbffcfe3c, receiver=0x9610fb8, e=0xbffcda2c) at kernel/qapplication.cpp:4037
#36 0xb758794d in KApplication::notify () from /usr/lib/libkdeui.so.5
#37 0xb6fe3a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#38 0xb66705ad in QX11Data::xdndHandleDrop (this=0x94ddac8, xe=0xbffcdb28, passive=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#39 0xb6675233 in QDragManager::drop (this=0x986fa40) at kernel/qdnd_x11.cpp:1692
#40 0xb66753f6 in QDragManager::eventFilter (this=0x986fa40, o=0x98c81b8, e=0xbffcdfc8) at kernel/qdnd_x11.cpp:1292
#41 0xb6fe2d1c in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib/libQtCore.so.4
#42 0xb65eaea3 in QApplicationPrivate::notify_helper (this=0x94d9f38, receiver=0x98c81b8, e=0xbffcdfc8) at kernel/qapplication.cpp:4059
#43 0xb65f3ba1 in QApplication::notify (this=0xbffcfe3c, receiver=0x98c81b8, e=0xbffcdfc8) at kernel/qapplication.cpp:3786
#44 0xb758794d in KApplication::notify () from /usr/lib/libkdeui.so.5
#45 0xb6fe3a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#46 0xb65f2c0e in QApplicationPrivate::sendMouseEvent (receiver=0x98c81b8, event=0xbffcdfc8, alienWidget=0x0, nativeWidget=0x98c81b8, buttonDown=0xb6e96200, lastMouseReceiver=@0xb6e96204)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#47 0xb6662a0e in QETWidget::translateMouseEvent (this=0x98c81b8, event=0xbffce60c) at kernel/qapplication_x11.cpp:4425
#48 0xb6661d37 in QApplication::x11ProcessEvent (this=0xbffcfe3c, event=0xbffce60c) at kernel/qapplication_x11.cpp:3421
#49 0xb668ccfa in x11EventSourceDispatch (s=0x94dc9a0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0xb5deeb88 in IA__g_main_context_dispatch (context=0x94dc090) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:1814
#51 0xb5df20eb in g_main_context_iterate (context=0x94dc090, block=1, dispatch=1, self=0x94d9da0) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2448
#52 0xb5df2268 in IA__g_main_context_iteration (context=0x94dc090, may_block=1) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2511
#53 0xb700f438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#54 0xb668c3f5 in QGuiEventDispatcherGlib::processEvents (this=0x94c6d60, flags={i = -1073944584}) at kernel/qguieventdispatcher_glib.cpp:202
#55 0xb6fe206a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#56 0xb6fe24aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#57 0xb66733a0 in QDragManager::drag (this=0x986fa40, o=0x96ef5a0) at kernel/qdnd_x11.cpp:1952
#58 0xb65fe5ca in QDrag::exec (this=0x96ef5a0, supportedActions={i = -1073944156}, defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#59 0xb6b6bf8c in QAbstractItemView::startDrag (this=0x95f8058, supportedActions={i = -1073943900}) at itemviews/qabstractitemview.cpp:3189
#60 0xb6b68f4d in QAbstractItemView::mouseMoveEvent (this=0x95f8058, event=0xbffcf348) at itemviews/qabstractitemview.cpp:1547
#61 0xb6ba8274 in QTreeView::mouseMoveEvent (this=0x95f8058, event=0xbffcf348) at itemviews/qtreeview.cpp:1863
#62 0xb6641a3d in QWidget::event (this=0x95f8058, event=0xbffcf348) at kernel/qwidget.cpp:7501
#63 0xb6a1bd83 in QFrame::event (this=0x95f8058, e=0xbffcf348) at widgets/qframe.cpp:559
#64 0xb6abbd3f in QAbstractScrollArea::viewportEvent (this=0x95f8058, e=0xb70d8a48) at widgets/qabstractscrollarea.cpp:962
#65 0xb6b6da37 in QAbstractItemView::viewportEvent (this=0x95f8058, event=0xbffcf348) at itemviews/qabstractitemview.cpp:1466
#66 0xb6ba84b4 in QTreeView::viewportEvent (this=0x95f8058, event=0xbffcf348) at itemviews/qtreeview.cpp:1257
#67 0xb6abe345 in QAbstractScrollAreaFilter::eventFilter (this=0x96b1160, o=0x9610fb8, e=0xbffcf348) at widgets/qabstractscrollarea_p.h:100
#68 0xb6fe2c5a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#69 0xb65eaf0a in QApplicationPrivate::notify_helper (this=0x94d9f38, receiver=0x9610fb8, e=0xbffcf348) at kernel/qapplication.cpp:4080
#70 0xb65f3ba1 in QApplication::notify (this=0xbffcfe3c, receiver=0x9610fb8, e=0xbffcf348) at kernel/qapplication.cpp:3786
#71 0xb758794d in KApplication::notify () from /usr/lib/libkdeui.so.5
#72 0xb6fe3a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#73 0xb65f2c0e in QApplicationPrivate::sendMouseEvent (receiver=0x9610fb8, event=0xbffcf348, alienWidget=0x9610fb8, nativeWidget=0x95553e8, buttonDown=0xb6e96200, lastMouseReceiver=@0xb6e96204)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#74 0xb6662a0e in QETWidget::translateMouseEvent (this=0x95553e8, event=0xbffcf98c) at kernel/qapplication_x11.cpp:4425
#75 0xb6661d37 in QApplication::x11ProcessEvent (this=0xbffcfe3c, event=0xbffcf98c) at kernel/qapplication_x11.cpp:3421
#76 0xb668ccfa in x11EventSourceDispatch (s=0x94dc9a0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#77 0xb5deeb88 in IA__g_main_context_dispatch (context=0x94dc090) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:1814
#78 0xb5df20eb in g_main_context_iterate (context=0x94dc090, block=1, dispatch=1, self=0x94d9da0) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2448
#79 0xb5df2268 in IA__g_main_context_iteration (context=0x94dc090, may_block=1) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2511
#80 0xb700f438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#81 0xb668c3f5 in QGuiEventDispatcherGlib::processEvents (this=0x94c6d60, flags={i = -1073939592}) at kernel/qguieventdispatcher_glib.cpp:202
#82 0xb6fe206a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#83 0xb6fe24aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#84 0xb6fe4959 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#85 0xb65eada7 in QApplication::exec () at kernel/qapplication.cpp:3553
#86 0xb7f6b109 in kdemain (argc=6, argv=0xbffd0194) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/main.cpp:203
#87 0x080486a2 in main (argc=1, argv=0x987be18) at /build/buildd/kdebase-4.2.2/obj-i486-linux-gnu/apps/keditbookmarks/keditbookmarks_dummy.cpp:3
Comment 4 masaj 2009-05-15 16:52:49 UTC
I can confirm this behaviour, KDE 4.2.3-2, 2.6.29-ARCH #1 SMP PREEMPT i686

When I try to move bookmarks folder into other folder app crashes. I succeeded to move folder few times.

ERROR:
The application Bookmark Editor (keditbookmarks) crashed and caused the signal 11 (SIGSEGV).
Comment 5 Robert Voinea 2009-05-21 08:20:07 UTC
Happens here too... Kubuntu/kde-4.2.3

Application: Bookmark Editor (keditbookmarks), signal SIGSEGV

Thread 1 (Thread 0xb5b8d920 (LWP 10625)):
[KCrash Handler]
#6  0xb7860450 in QDomElementPrivate::save (this=0x859c5e0, s=@0xbfcd8c70, depth=5, indent=1) at dom/qdom.cpp:4603
#7  0xb7853892 in QDomNodePrivate::save (this=0x859c5a0, s=@0xbfcd8c70, depth=5, indent=1) at dom/qdom.cpp:1916
#8  0xb7860077 in QDomElementPrivate::save (this=0x859c5a0, s=@0xbfcd8c70, depth=4, indent=1) at dom/qdom.cpp:4640
#9  0xb7853892 in QDomNodePrivate::save (this=0x85c94e8, s=@0xbfcd8c70, depth=4, indent=1) at dom/qdom.cpp:1916
#10 0xb7860077 in QDomElementPrivate::save (this=0x85c94e8, s=@0xbfcd8c70, depth=3, indent=1) at dom/qdom.cpp:4640
#11 0xb7853892 in QDomNodePrivate::save (this=0x859e338, s=@0xbfcd8c70, depth=3, indent=1) at dom/qdom.cpp:1916
#12 0xb7860077 in QDomElementPrivate::save (this=0x859e338, s=@0xbfcd8c70, depth=2, indent=1) at dom/qdom.cpp:4640
#13 0xb7853892 in QDomNodePrivate::save (this=0x859da50, s=@0xbfcd8c70, depth=2, indent=1) at dom/qdom.cpp:1916
#14 0xb7860077 in QDomElementPrivate::save (this=0x859da50, s=@0xbfcd8c70, depth=1, indent=1) at dom/qdom.cpp:4640
#15 0xb7853892 in QDomNodePrivate::save (this=0x834c460, s=@0xbfcd8c70, depth=1, indent=1) at dom/qdom.cpp:1916
#16 0xb7860077 in QDomElementPrivate::save (this=0x834c460, s=@0xbfcd8c70, depth=0, indent=1) at dom/qdom.cpp:4640
#17 0xb7864ac6 in QDomDocumentPrivate::saveDocument (this=0x82f4280, s=@0xbfcd8c70, indent=1, encUsed=QDomNode::EncodingFromDocument) at dom/qdom.cpp:6473
#18 0xb7865163 in QDomNode::save (this=0xbfcd8d30, str=@0xbfcd8c70, indent=1) at dom/qdom.cpp:2684
#19 0xb78651ce in QDomDocument::toString (this=0xbfcd8d30, indent=1) at dom/qdom.cpp:6845
#20 0xb7b40d5c in KBookmarkManager::saveAs (this=0x83163c8, filename=@0x8364d40, toolbarCache=true) at /build/buildd/kde4libs-4.2.3/kio/bookmarks/kbookmarkmanager.cc:402
#21 0xb7b4127f in KBookmarkManager::save (this=0x83163c8, toolbarCache=<value optimized out>) at /build/buildd/kde4libs-4.2.3/kio/bookmarks/kbookmarkmanager.cc:368
#22 0xb7b412c0 in KBookmarkManager::emitChanged (this=0x83163c8, group=@0xbfcd8e10) at /build/buildd/kde4libs-4.2.3/kio/bookmarks/kbookmarkmanager.cc:516
#23 0xb8077fdb in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#24 0xb807b6a1 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#25 0xb809b0c0 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#26 0xb6c6d0f1 in QAbstractItemView::dropEvent (this=0xbfcd8e14, event=0xbfcd971c) at itemviews/qabstractitemview.cpp:1844
#27 0xb674d721 in QWidget::event (this=0x8345ea0, event=0xbfcd971c) at kernel/qwidget.cpp:7698
#28 0xb6b27993 in QFrame::event (this=0x8345ea0, e=0xbfcd971c) at widgets/qframe.cpp:559
#29 0xb6bc794f in QAbstractScrollArea::viewportEvent (this=0x8345ea0, e=0xb71e3a48) at widgets/qabstractscrollarea.cpp:962
#30 0xb6c79647 in QAbstractItemView::viewportEvent (this=0x8345ea0, event=0xbfcd971c) at itemviews/qabstractitemview.cpp:1466
#31 0xb6cb40c4 in QTreeView::viewportEvent (this=0x8345ea0, event=0xbfcd971c) at itemviews/qtreeview.cpp:1257
#32 0xb6bc9f55 in QAbstractScrollAreaFilter::eventFilter (this=0x8370388, o=0x834ae20, e=0xbfcd971c) at widgets/qabstractscrollarea_p.h:100
#33 0xb70edc5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x827bf40, receiver=0x834ae20, event=0xbfcd971c) at kernel/qcoreapplication.cpp:718
#34 0xb66f6e7a in QApplicationPrivate::notify_helper (this=0x827bf40, receiver=0x834ae20, e=0xbfcd971c) at kernel/qapplication.cpp:4080
#35 0xb66ff7b1 in QApplication::notify (this=0xbfcdbb2c, receiver=0x834ae20, e=0xbfcd971c) at kernel/qapplication.cpp:4037
#36 0xb7693e5d in KApplication::notify (this=0xbfcdbb2c, receiver=0x834ae20, event=0xbfcd971c) at /build/buildd/kde4libs-4.2.3/kdeui/kernel/kapplication.cpp:307
#37 0xb70eea3b in QCoreApplication::notifyInternal (this=0xbfcdbb2c, receiver=0x834ae20, event=0xbfcd971c) at kernel/qcoreapplication.cpp:602
#38 0xb677c51d in QX11Data::xdndHandleDrop (this=0x827fac8, xe=0xbfcd9818, passive=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#39 0xb67811a3 in QDragManager::drop (this=0x8589870) at kernel/qdnd_x11.cpp:1692
#40 0xb6781366 in QDragManager::eventFilter (this=0x8589870, o=0x83c42c8, e=0xbfcd9cb8) at kernel/qdnd_x11.cpp:1292
#41 0xb70edd1c in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x827bf40, receiver=0x83c42c8, event=0xbfcd9cb8) at kernel/qcoreapplication.cpp:699
#42 0xb66f6e13 in QApplicationPrivate::notify_helper (this=0x827bf40, receiver=0x83c42c8, e=0xbfcd9cb8) at kernel/qapplication.cpp:4059
#43 0xb66ffb11 in QApplication::notify (this=0xbfcdbb2c, receiver=0x83c42c8, e=0xbfcd9cb8) at kernel/qapplication.cpp:3786
#44 0xb7693e5d in KApplication::notify (this=0xbfcdbb2c, receiver=0x83c42c8, event=0xbfcd9cb8) at /build/buildd/kde4libs-4.2.3/kdeui/kernel/kapplication.cpp:307
#45 0xb70eea3b in QCoreApplication::notifyInternal (this=0xbfcdbb2c, receiver=0x83c42c8, event=0xbfcd9cb8) at kernel/qcoreapplication.cpp:602
#46 0xb66feb7e in QApplicationPrivate::sendMouseEvent (receiver=0x83c42c8, event=0xbfcd9cb8, alienWidget=0x0, nativeWidget=0x83c42c8, buttonDown=0xb6fa1200, lastMouseReceiver=@0xb6fa1204)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#47 0xb676e97e in QETWidget::translateMouseEvent (this=0x83c42c8, event=0xbfcda2fc) at kernel/qapplication_x11.cpp:4425
#48 0xb676dca7 in QApplication::x11ProcessEvent (this=0xbfcdbb2c, event=0xbfcda2fc) at kernel/qapplication_x11.cpp:3421
#49 0xb6798c6a in x11EventSourceDispatch (s=0x827e9a0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0xb5efbb88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#51 0xb5eff0eb in ?? () from /usr/lib/libglib-2.0.so.0
#52 0xb5eff268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#53 0xb711a438 in QEventDispatcherGlib::processEvents (this=0x8268d60, flags={i = -1077041992}) at kernel/qeventdispatcher_glib.cpp:323
#54 0xb6798365 in QGuiEventDispatcherGlib::processEvents (this=0x8268d60, flags={i = -1077041944}) at kernel/qguieventdispatcher_glib.cpp:202
#55 0xb70ed06a in QEventLoop::processEvents (this=0x85c54f0, flags={i = -1077041880}) at kernel/qeventloop.cpp:149
#56 0xb70ed4aa in QEventLoop::exec (this=0x85c54f0, flags={i = -1077041768}) at kernel/qeventloop.cpp:200
#57 0xb677f310 in QDragManager::drag (this=0x8589870, o=0x8527790) at kernel/qdnd_x11.cpp:1952
#58 0xb670a53a in QDrag::exec (this=0x8527790, supportedActions={i = -1077041516}, defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#59 0xb6c77b9c in QAbstractItemView::startDrag (this=0x8345ea0, supportedActions={i = -1077041260}) at itemviews/qabstractitemview.cpp:3189
#60 0xb6c74b5d in QAbstractItemView::mouseMoveEvent (this=0x8345ea0, event=0xbfcdb038) at itemviews/qabstractitemview.cpp:1547
#61 0xb6cb3e84 in QTreeView::mouseMoveEvent (this=0x8345ea0, event=0xbfcdb038) at itemviews/qtreeview.cpp:1863
#62 0xb674d9ad in QWidget::event (this=0x8345ea0, event=0xbfcdb038) at kernel/qwidget.cpp:7501
#63 0xb6b27993 in QFrame::event (this=0x8345ea0, e=0xbfcdb038) at widgets/qframe.cpp:559
#64 0xb6bc794f in QAbstractScrollArea::viewportEvent (this=0x8345ea0, e=0xb71e3a48) at widgets/qabstractscrollarea.cpp:962
#65 0xb6c79647 in QAbstractItemView::viewportEvent (this=0x8345ea0, event=0xbfcdb038) at itemviews/qabstractitemview.cpp:1466
#66 0xb6cb40c4 in QTreeView::viewportEvent (this=0x8345ea0, event=0xbfcdb038) at itemviews/qtreeview.cpp:1257
#67 0xb6bc9f55 in QAbstractScrollAreaFilter::eventFilter (this=0x8370388, o=0x834ae20, e=0xbfcdb038) at widgets/qabstractscrollarea_p.h:100
#68 0xb70edc5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x827bf40, receiver=0x834ae20, event=0xbfcdb038) at kernel/qcoreapplication.cpp:718
#69 0xb66f6e7a in QApplicationPrivate::notify_helper (this=0x827bf40, receiver=0x834ae20, e=0xbfcdb038) at kernel/qapplication.cpp:4080
#70 0xb66ffb11 in QApplication::notify (this=0xbfcdbb2c, receiver=0x834ae20, e=0xbfcdb038) at kernel/qapplication.cpp:3786
#71 0xb7693e5d in KApplication::notify (this=0xbfcdbb2c, receiver=0x834ae20, event=0xbfcdb038) at /build/buildd/kde4libs-4.2.3/kdeui/kernel/kapplication.cpp:307
#72 0xb70eea3b in QCoreApplication::notifyInternal (this=0xbfcdbb2c, receiver=0x834ae20, event=0xbfcdb038) at kernel/qcoreapplication.cpp:602
#73 0xb66feb7e in QApplicationPrivate::sendMouseEvent (receiver=0x834ae20, event=0xbfcdb038, alienWidget=0x834ae20, nativeWidget=0x82f29f0, buttonDown=0xb6fa1200, lastMouseReceiver=@0xb6fa1204)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#74 0xb676e97e in QETWidget::translateMouseEvent (this=0x82f29f0, event=0xbfcdb67c) at kernel/qapplication_x11.cpp:4425
#75 0xb676dca7 in QApplication::x11ProcessEvent (this=0xbfcdbb2c, event=0xbfcdb67c) at kernel/qapplication_x11.cpp:3421
#76 0xb6798c6a in x11EventSourceDispatch (s=0x827e9a0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#77 0xb5efbb88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#78 0xb5eff0eb in ?? () from /usr/lib/libglib-2.0.so.0
#79 0xb5eff268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#80 0xb711a438 in QEventDispatcherGlib::processEvents (this=0x8268d60, flags={i = -1077037000}) at kernel/qeventdispatcher_glib.cpp:323
#81 0xb6798365 in QGuiEventDispatcherGlib::processEvents (this=0x8268d60, flags={i = -1077036952}) at kernel/qguieventdispatcher_glib.cpp:202
#82 0xb70ed06a in QEventLoop::processEvents (this=0xbfcdb8e0, flags={i = -1077036888}) at kernel/qeventloop.cpp:149
#83 0xb70ed4aa in QEventLoop::exec (this=0xbfcdb8e0, flags={i = -1077036824}) at kernel/qeventloop.cpp:200
#84 0xb70ef959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#85 0xb66f6d17 in QApplication::exec () at kernel/qapplication.cpp:3553
#86 0xb8077109 in kdemain () from /usr/lib/libkdeinit4_keditbookmarks.so
#87 0x080486a2 in _start ()
Comment 6 Christophe Giboudeaux 2009-06-01 12:23:56 UTC
*** Bug 191106 has been marked as a duplicate of this bug. ***
Comment 7 Christophe Giboudeaux 2009-06-01 12:24:03 UTC
*** Bug 194852 has been marked as a duplicate of this bug. ***
Comment 8 Christophe Giboudeaux 2009-06-01 12:24:09 UTC
*** Bug 192016 has been marked as a duplicate of this bug. ***
Comment 9 Willi Richert 2009-06-06 16:56:54 UTC
Anwendung: Lesezeichen-Editor (keditbookmarks), Signal SIGSEGV

Thread 1 (Thread 0xb5b4b920 (LWP 17996)):
[KCrash Handler]
#6  0xb77efa50 in QDomElementPrivate::save (this=0xa1d1dc8, s=@0xbf9688f0, depth=4, indent=1) at dom/qdom.cpp:4603
#7  0xb77e2e92 in QDomNodePrivate::save (this=0xa1d1d88, s=@0xbf9688f0, depth=4, indent=1) at dom/qdom.cpp:1916
#8  0xb77ef677 in QDomElementPrivate::save (this=0xa1d1d88, s=@0xbf9688f0, depth=3, indent=1) at dom/qdom.cpp:4640
#9  0xb77e2e92 in QDomNodePrivate::save (this=0xa1e2980, s=@0xbf9688f0, depth=3, indent=1) at dom/qdom.cpp:1916
#10 0xb77ef677 in QDomElementPrivate::save (this=0xa1e2980, s=@0xbf9688f0, depth=2, indent=1) at dom/qdom.cpp:4640
#11 0xb77e2e92 in QDomNodePrivate::save (this=0xa1c8f60, s=@0xbf9688f0, depth=2, indent=1) at dom/qdom.cpp:1916
#12 0xb77ef677 in QDomElementPrivate::save (this=0xa1c8f60, s=@0xbf9688f0, depth=1, indent=1) at dom/qdom.cpp:4640
#13 0xb77e2e92 in QDomNodePrivate::save (this=0x9fc3580, s=@0xbf9688f0, depth=1, indent=1) at dom/qdom.cpp:1916
#14 0xb77ef677 in QDomElementPrivate::save (this=0x9fc3580, s=@0xbf9688f0, depth=0, indent=1) at dom/qdom.cpp:4640
#15 0xb77f40c6 in QDomDocumentPrivate::saveDocument (this=0x9f53c10, s=@0xbf9688f0, indent=1, encUsed=QDomNode::EncodingFromDocument) at dom/qdom.cpp:6473
#16 0xb77f4763 in QDomNode::save (this=0xbf9689b0, str=@0xbf9688f0, indent=1) at dom/qdom.cpp:2684
#17 0xb77f47ce in QDomDocument::toString (this=0xbf9689b0, indent=1) at dom/qdom.cpp:6845
#18 0xb7aced3c in KBookmarkManager::saveAs (this=0x9f83a70, filename=@0x9f88940, toolbarCache=true) at /build/buildd/kde4libs-4.2.4/kio/bookmarks/kbookmarkmanager.cc:402
#19 0xb7acf25f in KBookmarkManager::save (this=0x9f83a70, toolbarCache=<value optimized out>) at /build/buildd/kde4libs-4.2.4/kio/bookmarks/kbookmarkmanager.cc:368
#20 0xb7acf2a0 in KBookmarkManager::emitChanged (this=0x9f83a70, group=@0xbf968a90) at /build/buildd/kde4libs-4.2.4/kio/bookmarks/kbookmarkmanager.cc:516
#21 0xb7ff6fdb in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#22 0xb7ffa6a1 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#23 0xb801a0d0 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#24 0xb6c0dbb1 in QAbstractItemView::dropEvent (this=0xbf968a94, event=0xbf96939c) at itemviews/qabstractitemview.cpp:1844
#25 0xb66ea4a1 in QWidget::event (this=0x9fd2788, event=0xbf96939c) at kernel/qwidget.cpp:7703
#26 0xb6ac82c3 in QFrame::event (this=0x9fd2788, e=0xbf96939c) at widgets/qframe.cpp:559
#27 0xb6b6833f in QAbstractScrollArea::viewportEvent (this=0x9fd2788, e=0xb7179448) at widgets/qabstractscrollarea.cpp:962
#28 0xb6c1a1f7 in QAbstractItemView::viewportEvent (this=0x9fd2788, event=0xbf96939c) at itemviews/qabstractitemview.cpp:1471
#29 0xb6c543b6 in QTreeView::viewportEvent (this=0x9fd2788, event=0xbf96939c) at itemviews/qtreeview.cpp:1264
#30 0xb6b6a945 in QAbstractScrollAreaFilter::eventFilter (this=0x9fcc6b0, o=0x9fcaf48, e=0xbf96939c) at widgets/qabstractscrollarea_p.h:100
#31 0xb70849ca in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9e68e20, receiver=0x9fcaf48, event=0xbf96939c) at kernel/qcoreapplication.cpp:726
#32 0xb6693baa in QApplicationPrivate::notify_helper (this=0x9e68e20, receiver=0x9fcaf48, e=0xbf96939c) at kernel/qapplication.cpp:4053
#33 0xb669c4f1 in QApplication::notify (this=0xbf96d84c, receiver=0x9fcaf48, e=0xbf96939c) at kernel/qapplication.cpp:4010
#34 0xb7623e0d in KApplication::notify (this=0xbf96d84c, receiver=0x9fcaf48, event=0xbf96939c) at /build/buildd/kde4libs-4.2.4/kdeui/kernel/kapplication.cpp:307
#35 0xb70857ab in QCoreApplication::notifyInternal (this=0xbf96d84c, receiver=0x9fcaf48, event=0xbf96939c) at kernel/qcoreapplication.cpp:610
#36 0xb67196cd in QX11Data::xdndHandleDrop (this=0x9e6ca30, xe=0xbf969498, passive=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#37 0xb671e393 in QDragManager::drop (this=0x9ffeb80) at kernel/qdnd_x11.cpp:1709
#38 0xb671e556 in QDragManager::eventFilter (this=0x9ffeb80, o=0xa228c18, e=0xbf969938) at kernel/qdnd_x11.cpp:1302
#39 0xb7084a8c in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x9e68e20, receiver=0xa228c18, event=0xbf969938) at kernel/qcoreapplication.cpp:707
#40 0xb6693b43 in QApplicationPrivate::notify_helper (this=0x9e68e20, receiver=0xa228c18, e=0xbf969938) at kernel/qapplication.cpp:4032
#41 0xb669c851 in QApplication::notify (this=0xbf96d84c, receiver=0xa228c18, e=0xbf969938) at kernel/qapplication.cpp:3759
#42 0xb7623e0d in KApplication::notify (this=0xbf96d84c, receiver=0xa228c18, event=0xbf969938) at /build/buildd/kde4libs-4.2.4/kdeui/kernel/kapplication.cpp:307
#43 0xb70857ab in QCoreApplication::notifyInternal (this=0xbf96d84c, receiver=0xa228c18, event=0xbf969938) at kernel/qcoreapplication.cpp:610
#44 0xb669b8be in QApplicationPrivate::sendMouseEvent (receiver=0xa228c18, event=0xbf969938, alienWidget=0x0, nativeWidget=0xa228c18, buttonDown=0xb6f3faa0, lastMouseReceiver=@0xb6f3faa4)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#45 0xb670baee in QETWidget::translateMouseEvent (this=0xa228c18, event=0xbf96afcc) at kernel/qapplication_x11.cpp:4448
#46 0xb670aead in QApplication::x11ProcessEvent (this=0xbf96d84c, event=0xbf96afcc) at kernel/qapplication_x11.cpp:3444
#47 0xb673606a in x11EventSourceDispatch (s=0x9e6bda8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xb5eb9b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb5ebd0eb in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb5ebd268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb70b11d8 in QEventDispatcherGlib::processEvents (this=0x9e55ce0, flags={i = -1080643192}) at kernel/qeventdispatcher_glib.cpp:324
#52 0xb6735765 in QGuiEventDispatcherGlib::processEvents (this=0x9e55ce0, flags={i = -1080643144}) at kernel/qguieventdispatcher_glib.cpp:202
#53 0xb7083dda in QEventLoop::processEvents (this=0x9fca4c8, flags={i = -1080643080}) at kernel/qeventloop.cpp:149
#54 0xb708421a in QEventLoop::exec (this=0x9fca4c8, flags={i = -1080642968}) at kernel/qeventloop.cpp:200
#55 0xb671dd5b in QDragManager::drag (this=0x9ffeb80, o=0x9e6dac0) at kernel/qdnd_x11.cpp:1969
#56 0xb66a727a in QDrag::exec (this=0x9e6dac0, supportedActions={i = -1080642716}, defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#57 0xb6c1874c in QAbstractItemView::startDrag (this=0x9fd2788, supportedActions={i = -1080642460}) at itemviews/qabstractitemview.cpp:3196
#58 0xb6c1566d in QAbstractItemView::mouseMoveEvent (this=0x9fd2788, event=0xbf96bd08) at itemviews/qabstractitemview.cpp:1547
#59 0xb6c541b4 in QTreeView::mouseMoveEvent (this=0x9fd2788, event=0xbf96bd08) at itemviews/qtreeview.cpp:1870
#60 0xb66ea72d in QWidget::event (this=0x9fd2788, event=0xbf96bd08) at kernel/qwidget.cpp:7506
#61 0xb6ac82c3 in QFrame::event (this=0x9fd2788, e=0xbf96bd08) at widgets/qframe.cpp:559
#62 0xb6b6833f in QAbstractScrollArea::viewportEvent (this=0x9fd2788, e=0xb7179448) at widgets/qabstractscrollarea.cpp:962
#63 0xb6c1a1f7 in QAbstractItemView::viewportEvent (this=0x9fd2788, event=0xbf96bd08) at itemviews/qabstractitemview.cpp:1471
#64 0xb6c543b6 in QTreeView::viewportEvent (this=0x9fd2788, event=0xbf96bd08) at itemviews/qtreeview.cpp:1264
#65 0xb6b6a945 in QAbstractScrollAreaFilter::eventFilter (this=0x9fcc6b0, o=0x9fcaf48, e=0xbf96bd08) at widgets/qabstractscrollarea_p.h:100
#66 0xb70849ca in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9e68e20, receiver=0x9fcaf48, event=0xbf96bd08) at kernel/qcoreapplication.cpp:726
#67 0xb6693baa in QApplicationPrivate::notify_helper (this=0x9e68e20, receiver=0x9fcaf48, e=0xbf96bd08) at kernel/qapplication.cpp:4053
#68 0xb669c851 in QApplication::notify (this=0xbf96d84c, receiver=0x9fcaf48, e=0xbf96bd08) at kernel/qapplication.cpp:3759
#69 0xb7623e0d in KApplication::notify (this=0xbf96d84c, receiver=0x9fcaf48, event=0xbf96bd08) at /build/buildd/kde4libs-4.2.4/kdeui/kernel/kapplication.cpp:307
#70 0xb70857ab in QCoreApplication::notifyInternal (this=0xbf96d84c, receiver=0x9fcaf48, event=0xbf96bd08) at kernel/qcoreapplication.cpp:610
#71 0xb669b8be in QApplicationPrivate::sendMouseEvent (receiver=0x9fcaf48, event=0xbf96bd08, alienWidget=0x9fcaf48, nativeWidget=0x9f53978, buttonDown=0xb6f3faa0, lastMouseReceiver=@0xb6f3faa4)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#72 0xb670baee in QETWidget::translateMouseEvent (this=0x9f53978, event=0xbf96d39c) at kernel/qapplication_x11.cpp:4448
#73 0xb670aead in QApplication::x11ProcessEvent (this=0xbf96d84c, event=0xbf96d39c) at kernel/qapplication_x11.cpp:3444
#74 0xb673606a in x11EventSourceDispatch (s=0x9e6bda8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#75 0xb5eb9b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#76 0xb5ebd0eb in ?? () from /usr/lib/libglib-2.0.so.0
#77 0xb5ebd268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#78 0xb70b11d8 in QEventDispatcherGlib::processEvents (this=0x9e55ce0, flags={i = -1080634024}) at kernel/qeventdispatcher_glib.cpp:324
#79 0xb6735765 in QGuiEventDispatcherGlib::processEvents (this=0x9e55ce0, flags={i = -1080633976}) at kernel/qguieventdispatcher_glib.cpp:202
#80 0xb7083dda in QEventLoop::processEvents (this=0xbf96d600, flags={i = -1080633912}) at kernel/qeventloop.cpp:149
#81 0xb708421a in QEventLoop::exec (this=0xbf96d600, flags={i = -1080633848}) at kernel/qeventloop.cpp:200
#82 0xb70866c9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#83 0xb6693a47 in QApplication::exec () at kernel/qapplication.cpp:3526
#84 0xb7ff6109 in kdemain () from /usr/lib/libkdeinit4_keditbookmarks.so
#85 0x080486a2 in _start ()
Comment 10 industrie13 2009-06-06 22:13:17 UTC
Same here.
System: Arch Linux, KDEmod 4.2.4

Debugoutput with signal11 (SISEGV):

Anwendung: Lesezeichen-Editor (keditbookmarks), Signal SIGSEGV

Thread 1 (Thread 0xb5963710 (LWP 11884)):
[KCrash Handler]
#6  0xb778db29 in QDomNode::QDomNode () from /usr/lib/libQtXml.so.4
#7  0xb778f0a4 in QDomElement::QDomElement () from /usr/lib/libQtXml.so.4
#8  0xb8058e4c in TreeItem::bookmark (this=0x0) at /usr/include/kbookmark.h:34
#9  0xb8056550 in KBookmarkModel::dropMimeData (this=0x86710d8, data=0x871e0a8, action=Qt::CopyAction, row=-1, column=-1, parent=@0xbffa7e04)
    at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.4/apps/keditbookmarks/bookmarkmodel.cpp:342
#10 0xb80588dc in BookmarkFolderViewFilterModel::dropMimeData (this=0x866a608, data=0x871e0a8, action=Qt::CopyAction, row=-1, column=-1, parent=@0xbffa7e98)
    at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.4/apps/keditbookmarks/bookmarklistview.cpp:184
#11 0xb6abace3 in QAbstractItemView::dropEvent () from /usr/lib/libQtGui.so.4
#12 0xb6598bd6 in QWidget::event () from /usr/lib/libQtGui.so.4
#13 0xb6974693 in QFrame::event () from /usr/lib/libQtGui.so.4
#14 0xb6a14064 in QAbstractScrollArea::viewportEvent () from /usr/lib/libQtGui.so.4
#15 0xb6ac7d67 in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4
#16 0xb6b02624 in QTreeView::viewportEvent () from /usr/lib/libQtGui.so.4
#17 0xb6a16695 in ?? () from /usr/lib/libQtGui.so.4
#18 0xb6f4289a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#19 0xb654368a in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#20 0xb654b4b7 in QApplication::notify () from /usr/lib/libQtGui.so.4
#21 0xb75564aa in KApplication::notify () from /usr/lib/libkdeui.so.5
#22 0xb6f4374b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#23 0xb65c78d5 in ?? () from /usr/lib/libQtGui.so.4
#24 0xb65cc728 in QDragManager::drop () from /usr/lib/libQtGui.so.4
#25 0xb65cc922 in QDragManager::eventFilter () from /usr/lib/libQtGui.so.4
#26 0xb6f4295c in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib/libQtCore.so.4
#27 0xb6543623 in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#28 0xb654b6b8 in QApplication::notify () from /usr/lib/libQtGui.so.4
#29 0xb75564aa in KApplication::notify () from /usr/lib/libkdeui.so.5
#30 0xb6f4374b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#31 0xb654a7b3 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
#32 0xb65b8fd4 in ?? () from /usr/lib/libQtGui.so.4
#33 0xb65b847c in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#34 0xb65e2e92 in ?? () from /usr/lib/libQtGui.so.4
#35 0xb5cbb288 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#36 0xb5cbe878 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#37 0xb5cbe9ea in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#38 0xb6f6ea1c in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#39 0xb65e25c5 in ?? () from /usr/lib/libQtGui.so.4
#40 0xb6f41cd9 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#41 0xb6f42122 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#42 0xb65cc2cc in QDragManager::drag () from /usr/lib/libQtGui.so.4
#43 0xb6556c92 in QDrag::exec () from /usr/lib/libQtGui.so.4
#44 0xb6ac5e21 in QAbstractItemView::startDrag () from /usr/lib/libQtGui.so.4
#45 0xb6ac2c2a in QAbstractItemView::mouseMoveEvent () from /usr/lib/libQtGui.so.4
#46 0xb6b023f4 in QTreeView::mouseMoveEvent () from /usr/lib/libQtGui.so.4
#47 0xb6598661 in QWidget::event () from /usr/lib/libQtGui.so.4
#48 0xb6974693 in QFrame::event () from /usr/lib/libQtGui.so.4
#49 0xb6a14064 in QAbstractScrollArea::viewportEvent () from /usr/lib/libQtGui.so.4
#50 0xb6ac7d67 in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4
#51 0xb6b02624 in QTreeView::viewportEvent () from /usr/lib/libQtGui.so.4
#52 0xb6a16695 in ?? () from /usr/lib/libQtGui.so.4
#53 0xb6f4289a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#54 0xb654368a in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#55 0xb654b6b8 in QApplication::notify () from /usr/lib/libQtGui.so.4
#56 0xb75564aa in KApplication::notify () from /usr/lib/libkdeui.so.5
#57 0xb6f4374b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#58 0xb654a7b3 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
#59 0xb65b8fd4 in ?? () from /usr/lib/libQtGui.so.4
#60 0xb65b847c in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#61 0xb65e2e92 in ?? () from /usr/lib/libQtGui.so.4
#62 0xb5cbb288 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#63 0xb5cbe878 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#64 0xb5cbe9ea in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#65 0xb6f6ea1c in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#66 0xb65e25c5 in ?? () from /usr/lib/libQtGui.so.4
#67 0xb6f41cd9 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#68 0xb6f42122 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#69 0xb6f4449f in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#70 0xb6543527 in QApplication::exec () from /usr/lib/libQtGui.so.4
#71 0xb8031242 in kdemain (argc=6, argv=0xbffaceb4) at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.4/apps/keditbookmarks/main.cpp:203
#72 0x080486ab in main (argc=6, argv=0xbffaceb4) at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.4/apps/keditbookmarks/keditbookmarks_dummy.cpp:3
Comment 11 Sebastian 2009-06-25 12:53:02 UTC
*** Bug 197829 has been marked as a duplicate of this bug. ***
Comment 12 Sebastian 2009-06-25 12:57:16 UTC
still exists in 4.2.90, I'll test it with rc1 once the packages hit the kubuntu repositories
Comment 13 Peter Eisentraut 2009-06-30 14:39:14 UTC
It appears that only the first move operation after starting the application works. The next one will crash it.
Comment 14 Gerry Gavigan 2009-07-02 16:57:00 UTC
exists in 4.3 RC1 (on openSUSE)
Comment 15 Artem S. Tashkinov 2009-07-09 13:15:42 UTC
It crashes for me too (KDE 4.2.4 Fedora 11 x86).

This backtrace appears to be of no use.
This is probably because your packages are built in a way which prevents creation of proper backtraces, or the stack frame was seriously corrupted in the crash.

[Thread debugging using libthread_db enabled]
0x00dc5422 in __kernel_vsyscall ()
[Current thread is 1 (Thread 0xb7f1d780 (LWP 7628))]

Thread 1 (Thread 0xb7f1d780 (LWP 7628)):
#0  0x00dc5422 in __kernel_vsyscall ()
#1  0x04e24230 in __nanosleep_nocancel () from /lib/libc.so.6
#2  0x04e24071 in sleep () from /lib/libc.so.6
#3  0x011e772e in ?? () from /usr/lib/libkdeui.so.5
#4  0x011e836c in KCrash::defaultCrashHandler(int) () from /usr/lib/libkdeui.so.5
#5  <signal handler called>
#6  0x00f9e64d in ?? () from /usr/lib/libQtXml.so.4
#7  0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#8  0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#9  0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#10 0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#11 0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#12 0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#13 0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#14 0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#15 0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#16 0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#17 0x00f91232 in ?? () from /usr/lib/libQtXml.so.4
#18 0x00f9e2b4 in ?? () from /usr/lib/libQtXml.so.4
#19 0x00fa2633 in ?? () from /usr/lib/libQtXml.so.4
#20 0x00fa2b83 in QDomNode::save(QTextStream&, int) const () from /usr/lib/libQtXml.so.4
#21 0x00fa2bee in QDomDocument::toString(int) const () from /usr/lib/libQtXml.so.4
#22 0x002eec3e in KBookmarkManager::saveAs(QString const&, bool) const () from /usr/lib/libkio.so.5
#23 0x002ef19f in KBookmarkManager::save(bool) const () from /usr/lib/libkio.so.5
#24 0x002ef1e0 in KBookmarkManager::emitChanged(KBookmarkGroup const&) () from /usr/lib/libkio.so.5
#25 0x00aaee3b in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#26 0x00ab2423 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#27 0x00ad04b2 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#28 0x019f2de3 in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib/libQtGui.so.4
#29 0x014d255e in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#30 0x018ae8b3 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#31 0x0194d4f4 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#32 0x019ffc6f in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#33 0x01a3a474 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x0194faf5 in ?? () from /usr/lib/libQtGui.so.4
#35 0x02fefb2a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#36 0x0147d41c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#37 0x0148502f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#38 0x0117ac4a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#39 0x02ff097b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#40 0x01500f5f in ?? () from /usr/lib/libQtGui.so.4
#41 0x01505fe4 in QDragManager::drop() () from /usr/lib/libQtGui.so.4
#42 0x015061da in QDragManager::eventFilter(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#43 0x02fefbec in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#44 0x0147d3c3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#45 0x0148539b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#46 0x0117ac4a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#47 0x02ff097b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#48 0x0148445e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
#49 0x014f2840 in ?? () from /usr/lib/libQtGui.so.4
#50 0x014f1cd3 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#51 0x0151cc22 in ?? () from /usr/lib/libQtGui.so.4
#52 0x08739cf8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#53 0x0873d370 in ?? () from /lib/libglib-2.0.so.0
#54 0x0873d4a3 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#55 0x0301b67c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#56 0x0151c305 in ?? () from /usr/lib/libQtGui.so.4
#57 0x02feef69 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#58 0x02fef3b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#59 0x01505b48 in QDragManager::drag(QDrag*) () from /usr/lib/libQtGui.so.4
#60 0x0149081e in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib/libQtGui.so.4
#61 0x019fdda1 in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () from /usr/lib/libQtGui.so.4
#62 0x019fac42 in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#63 0x01a3a244 in QTreeView::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#64 0x014d1fe9 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#65 0x018ae8b3 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#66 0x0194d4f4 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#67 0x019ffc6f in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#68 0x01a3a474 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#69 0x0194faf5 in ?? () from /usr/lib/libQtGui.so.4
#70 0x02fefb2a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#71 0x0147d41c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#72 0x0148539b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#73 0x0117ac4a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#74 0x02ff097b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#75 0x0148445e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
#76 0x014f2840 in ?? () from /usr/lib/libQtGui.so.4
#77 0x014f1cd3 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#78 0x0151cc22 in ?? () from /usr/lib/libQtGui.so.4
#79 0x08739cf8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#80 0x0873d370 in ?? () from /lib/libglib-2.0.so.0
#81 0x0873d4a3 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#82 0x0301b67c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#83 0x0151c305 in ?? () from /usr/lib/libQtGui.so.4
#84 0x02feef69 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#85 0x02fef3b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#86 0x02ff170f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#87 0x0147d2c7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#88 0x00aadf59 in kdemain () from /usr/lib/libkdeinit4_keditbookmarks.so
#89 0x0804867b in _start ()
Comment 16 Al Dunstan 2009-07-12 22:39:28 UTC
I'm seeing what I think is the same thing in KDE 4.2.4-2.fc11.x86_64 (Fedora 11, and the corresponding version of KDE in Fedora 10).  When I drag a URL to a folder it usually segfaults; on those unusual occasions that it works it copies rather than moves.  Don't know if that's what it's supposed to do - I'd prefer it did a move like it used to.

I tried running keditbookmarks under valgrind and it never died, tho' valgrind did say:

% valgrind keditbookmarks                        
==6473== Memcheck, a memory error detector.           
==6473== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==6473== Using LibVEX rev 1884, a library for dynamic binary translation.
==6473== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.       
==6473== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==6473== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.  
==6473== For more details, rerun with: -v                                 
==6473==                                                                  
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )  
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )  
==6473== Syscall param write(buf) points to uninitialised byte(s)                                          
==6473==    at 0x3CF020DD10: __write_nocancel (in /lib64/libpthread-2.10.1.so)                             
==6473==    by 0x3CF460902E: (within /usr/lib64/libICE.so.6.3.0)                                           
==6473==    by 0x3CF460D8BF: _IceWrite (in /usr/lib64/libICE.so.6.3.0)                                     
==6473==    by 0x3CF460D9A3: IceFlush (in /usr/lib64/libICE.so.6.3.0)                                      
==6473==    by 0x3B527E85EC: (within /usr/lib64/libQtGui.so.4.5.1)                                         
==6473==    by 0x3B527EC05F: (within /usr/lib64/libQtGui.so.4.5.1)                                         
==6473==    by 0x3B527FEF1D: (within /usr/lib64/libQtGui.so.4.5.1)                                         
==6473==    by 0x3B527FFBF8: (within /usr/lib64/libQtGui.so.4.5.1)                                         
==6473==    by 0x3CF420624E: _SmcProcessMessage (in /usr/lib64/libSM.so.6.0.0)                             
==6473==    by 0x3CF46123EB: IceProcessMessages (in /usr/lib64/libICE.so.6.3.0)                            
==6473==    by 0x3B527E8B2E: (within /usr/lib64/libQtGui.so.4.5.1)                                         
==6473==    by 0x3B50D54CEB: QMetaObject::activate(QObject*, int, int, void**) (in /usr/lib64/libQtCore.so.4.5.1)                                                                                                         
==6473==  Address 0xa6c0244 is 12 bytes inside a block of size 1,024 alloc'd                                 
==6473==    at 0x4A05414: calloc (vg_replace_malloc.c:397)                                                   
==6473==    by 0x3CF4605D88: IceOpenConnection (in /usr/lib64/libICE.so.6.3.0)                               
==6473==    by 0x3CF42026F2: SmcOpenConnection (in /usr/lib64/libSM.so.6.0.0)                                
==6473==    by 0x3B527EF40D: QSessionManager::QSessionManager(QApplication*, QString&, QString&) (in /usr/lib64/libQtGui.so.4.5.1)                                                                                        
==6473==    by 0x3B52792FC6: QApplicationPrivate::initialize() (in /usr/lib64/libQtGui.so.4.5.1)             
==6473==    by 0x3B527930DA: QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) (in /usr/lib64/libQtGui.so.4.5.1)                                                                                   
==6473==    by 0x3B52793D17: QApplication::QApplication(int&, char**, bool, int) (in /usr/lib64/libQtGui.so.4.5.1)                                                                                                        
==6473==    by 0x3B54807EC6: KApplication::KApplication(bool) (in /usr/lib64/libkdeui.so.5.2.0)              
==6473==    by 0x3B5501B92F: kdemain (in /usr/lib64/libkdeinit4_keditbookmarks.so)                           
==6473==    by 0x3CEF61EA2C: (below main) (in /lib64/libc-2.10.1.so)                                         
==6473==                                                                                                     
==6473== Invalid read of size 8                                                                              
==6473==    at 0x3B5181065D: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812AE8: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817CFB: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817FC4: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812ADD: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817CFB: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817FC4: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51810D04: QDomNode::cloneNode(bool) const (in /usr/lib64/libQtXml.so.4.5.1)               
==6473==    by 0x3B55029731: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B55028424: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B5503C336: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B52C8874C: QAbstractItemView::dropEvent(QDropEvent*) (in /usr/lib64/libQtGui.so.4.5.1)     
==6473==  Address 0xc6a3520 is 120 bytes inside a block of size 128 free'd                                   
==6473==    at 0x4A05E3F: operator delete(void*) (vg_replace_malloc.c:342)                                   
==6473==    by 0x3B569A0D0E: KBookmark::List::fromMimeData(QMimeData const*) (in /usr/lib64/libkio.so.5.2.0) 
==6473==    by 0x3B5502832F: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B5503C336: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B52C8874C: QAbstractItemView::dropEvent(QDropEvent*) (in /usr/lib64/libQtGui.so.4.5.1)     
==6473==    by 0x3B527DCF56: QWidget::event(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                       
==6473==    by 0x3B52B63915: QFrame::event(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                        
==6473==    by 0x3B52C9529A: QAbstractItemView::viewportEvent(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)     
==6473==    by 0x3B52CCB47F: QTreeView::viewportEvent(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)             
==6473==    by 0x3B50D3E966: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (in /usr/lib64/libQtCore.so.4.5.1)                                                                                 
==6473==    by 0x3B5278EA5B: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                                                                                                      
==6473==    by 0x3B5279639C: QApplication::notify(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)       
==6473==                                                                                                     
==6473== Invalid read of size 8                                                                              
==6473==    at 0x3B5181065D: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812AE8: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812BCB: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812FD4: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B518150BE: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817D11: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817FC4: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812ADD: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817CFB: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817FC4: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51812ADD: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==    by 0x3B51817CFB: (within /usr/lib64/libQtXml.so.4.5.1)                                           
==6473==  Address 0xc6a3520 is 120 bytes inside a block of size 128 free'd                                   
==6473==    at 0x4A05E3F: operator delete(void*) (vg_replace_malloc.c:342)                                   
==6473==    by 0x3B569A0D0E: KBookmark::List::fromMimeData(QMimeData const*) (in /usr/lib64/libkio.so.5.2.0) 
==6473==    by 0x3B5502832F: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B5503C336: (within /usr/lib64/libkdeinit4_keditbookmarks.so)                               
==6473==    by 0x3B52C8874C: QAbstractItemView::dropEvent(QDropEvent*) (in /usr/lib64/libQtGui.so.4.5.1)     
==6473==    by 0x3B527DCF56: QWidget::event(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                       
==6473==    by 0x3B52B63915: QFrame::event(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                        
==6473==    by 0x3B52C9529A: QAbstractItemView::viewportEvent(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)     
==6473==    by 0x3B52CCB47F: QTreeView::viewportEvent(QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)             
==6473==    by 0x3B50D3E966: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (in /usr/lib64/libQtCore.so.4.5.1)                                                                                 
==6473==    by 0x3B5278EA5B: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)                                                                                                      
==6473==    by 0x3B5279639C: QApplication::notify(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.5.1)       
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )    
BookmarkFolderView::bookmarkForIndex QModelIndex(0,0,0x4e176e8,BookmarkFolderViewFilterModel(0x4e256d8) )
==6473==
==6473== ERROR SUMMARY: 324 errors from 3 contexts (suppressed: 96 from 3)
==6473== malloc/free: in use at exit: 1,379,698 bytes in 7,846 blocks.
==6473== malloc/free: 4,934,110 allocs, 4,926,264 frees, 900,417,269 bytes allocated.
==6473== For counts of detected errors, rerun with: -v
==6473== Use --track-origins=yes to see where uninitialised values come from
==6473== searching for pointers to 7,846 not-freed blocks.
==6473== checked 2,483,096 bytes.
==6473==
==6473== LEAK SUMMARY:
==6473==    definitely lost: 1,010,259 bytes in 1,699 blocks.
==6473==      possibly lost: 25,600 bytes in 2 blocks.
==6473==    still reachable: 343,839 bytes in 6,145 blocks.
==6473==         suppressed: 0 bytes in 0 blocks.
==6473== Rerun with --leak-check=full to see details of leaked memory.


The backtrace says:

This backtrace appears to be of no use.
This is probably because your packages are built in a way which prevents creation of proper backtraces, or the stack frame was seriously corrupted in the crash.

[Thread debugging using libthread_db enabled]
0x0000003cef6a3e30 in __nanosleep_nocancel () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7fce58613820 (LWP 6749))]

Thread 1 (Thread 0x7fce58613820 (LWP 6749)):
#0  0x0000003cef6a3e30 in __nanosleep_nocancel () from /lib64/libc.so.6
#1  0x0000003cef6a3cb0 in sleep () from /lib64/libc.so.6
#2  0x0000003b5486604c in ?? () from /usr/lib64/libkdeui.so.5
#3  0x0000003b54866a75 in KCrash::defaultCrashHandler(int) () from /usr/lib64/libkdeui.so.5
#4  <signal handler called>
#5  0x0000003b5181bcdd in ?? () from /usr/lib64/libQtXml.so.4
#6  0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#7  0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#8  0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#9  0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#10 0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#11 0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#12 0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#13 0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#14 0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#15 0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#16 0x0000003b518109c4 in ?? () from /usr/lib64/libQtXml.so.4
#17 0x0000003b5181b89b in ?? () from /usr/lib64/libQtXml.so.4
#18 0x0000003b5181fb14 in ?? () from /usr/lib64/libQtXml.so.4
#19 0x0000003b51820117 in QDomDocument::toString(int) const () from /usr/lib64/libQtXml.so.4
#20 0x0000003b569a713e in KBookmarkManager::saveAs(QString const&, bool) const () from /usr/lib64/libkio.so.5
#21 0x0000003b569a7643 in KBookmarkManager::emitChanged(KBookmarkGroup const&) () from /usr/lib64/libkio.so.5
#22 0x0000003b55021702 in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#23 0x0000003b5503c352 in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#24 0x0000003b52c8874d in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib64/libQtGui.so.4
#25 0x0000003b527dcf57 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#26 0x0000003b52b63916 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#27 0x0000003b52c9529b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#28 0x0000003b52ccb480 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#29 0x0000003b50d3e967 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#30 0x0000003b5278ea5c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#31 0x0000003b5279639d in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#32 0x0000003b54804b16 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#33 0x0000003b50d3f61c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#34 0x0000003b5280836a in ?? () from /usr/lib64/libQtGui.so.4
#35 0x0000003b5280cd16 in QDragManager::drop() () from /usr/lib64/libQtGui.so.4
#36 0x0000003b5280ced0 in QDragManager::eventFilter(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#37 0x0000003b50d3ea2b in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#38 0x0000003b5278ea06 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#39 0x0000003b52796531 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#40 0x0000003b54804b16 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#41 0x0000003b50d3f61c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#42 0x0000003b527957f0 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
#43 0x0000003b527fb1be in ?? () from /usr/lib64/libQtGui.so.4
#44 0x0000003b527fa25a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#45 0x0000003b52821e7c in ?? () from /usr/lib64/libQtGui.so.4
#46 0x0000003b4d437afe in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#47 0x0000003b4d43b1d8 in ?? () from /lib64/libglib-2.0.so.0
#48 0x0000003b4d43b300 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#49 0x0000003b50d680a6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#50 0x0000003b5282162e in ?? () from /usr/lib64/libQtGui.so.4
#51 0x0000003b50d3df52 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#52 0x0000003b50d3e324 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#53 0x0000003b5280c81c in QDragManager::drag(QDrag*) () from /usr/lib64/libQtGui.so.4
#54 0x0000003b527a0d18 in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib64/libQtGui.so.4
#55 0x0000003b52c932ec in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () from /usr/lib64/libQtGui.so.4
#56 0x0000003b52c8fdd6 in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#57 0x0000003b527dd362 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#58 0x0000003b52b63916 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#59 0x0000003b52c9529b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#60 0x0000003b52ccb480 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#61 0x0000003b50d3e967 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#62 0x0000003b5278ea5c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#63 0x0000003b52796531 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#64 0x0000003b54804b16 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#65 0x0000003b50d3f61c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#66 0x0000003b527957f0 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
#67 0x0000003b527fb1be in ?? () from /usr/lib64/libQtGui.so.4
#68 0x0000003b527fa25a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#69 0x0000003b52821e7c in ?? () from /usr/lib64/libQtGui.so.4
#70 0x0000003b4d437afe in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#71 0x0000003b4d43b1d8 in ?? () from /lib64/libglib-2.0.so.0
#72 0x0000003b4d43b300 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#73 0x0000003b50d680a6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#74 0x0000003b5282162e in ?? () from /usr/lib64/libQtGui.so.4
#75 0x0000003b50d3df52 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#76 0x0000003b50d3e324 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#77 0x0000003b50d403c9 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#78 0x0000003b5501d7b5 in kdemain () from /usr/lib64/libkdeinit4_keditbookmarks.so
#79 0x0000003cef61ea2d in __libc_start_main () from /lib64/libc.so.6
#80 0x00000000004006f9 in _start ()
Comment 17 Ronny Standtke 2009-07-30 15:52:55 UTC
KDE-4.3 final should be released in five days and it looks like you are going to make this release with this bug unfixed. Konqueror, one of the major KDE applications, unable to edit its bookmarks in this release... Are you really *serious*?!?
Comment 18 Kevin Kofler 2009-07-30 16:21:29 UTC
This has been present since at least 4.2.2, so one release more or less with the bug is not going to change anything.
Comment 19 Ronny Standtke 2009-07-30 17:05:39 UTC
It does change things.
One more time I will not include KDE4 in the lernstick distribution, a Debian Live version used in many Swiss schools. For details look here: http://www.imedias.ch/lernstick

See you with KDE 4.4 or never again.
Comment 20 Ronny Standtke 2009-07-30 19:21:51 UTC
Can someone with sufficient rights please mark this bug as a duplicate of Bug#160679?
Comment 21 Gerry Gavigan 2009-07-30 22:53:11 UTC
The last two comments are to the point.

This together with the problems in konqueror itself place 4.3 in a difficult position.

I don't think any of us reporting bugs are willing KDE to fail, but as an end user I am slightly mystified by the current round. 

That these problems even entered RC3 raise issues about the quality control process by those that understand KDE better than me. 

However, as there do not appear to be comments elsewhere on the web bitching about these issues, it would seem that there is a community of users that are testing but not complaining, willing KDE 4.x to reach its promise, 

When I show all this stuff to "mere" users as I seek to persuade them about the benefits of Free Software am I supposed to rely on 

"This has been present since at least 4.2.2, so one release more or less with
the bug is not going to change anything."

It's not very "community", is it?

If kbookmarks  (cf current state of konqueror) is borked then roll it back to a version that isn't.  

I understood the argument about 4.0 not intended for end users, I don't understand it being applied to 4.3

FWIW
Comment 22 Tommi Tervo 2009-07-31 08:30:58 UTC

*** This bug has been marked as a duplicate of bug 160679 ***
Comment 23 Juha Tuomala 2009-07-31 09:41:34 UTC
The ones who voted this for fixing of this, please move your votes to bug 160679.
Comment 24 Kevin Kofler 2009-07-31 13:47:09 UTC
> If kbookmarks  (cf current state of konqueror) is borked then roll it back to a
> version that isn't.

But there is no such version (which works with Qt 4 / KDE 4). As per bug 160679, this was already broken in 4.0.x.
Comment 25 Juha Tuomala 2009-07-31 14:11:13 UTC
That is a good reason to ship releases with major functionality broken and keep polishing secondary features.

Or then it's just me who actually uses KDE for something real, rest are just playing here and wipe their $HOMEs with every reinstallation. (I'm not kidding here, I've seen such people - 'there was nothing important...').
Comment 26 Sebastian 2009-08-02 22:07:51 UTC
I heard that there is a GSOC project, to rework the bookmark handling in Konqueror. I guess that's why there is no developer interested in fixing this bug. Seems that Konqueror will stay broken until at least KDE 4.4